All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.exceptionhighlighting
Interface ExceptionHighlightingSelectorInterface

All Superinterfaces:
  SelectorCommitInterface, SelectorProcessInterface

All Known Subinterfaces:
  ExceptionHighlightingSelectorV2Interface

All Known Implementing Classes:
  BaseExceptionHighlightingSelectorAdapter, ExceptionHighlightingChartSelectorBQAdapter, ExceptionHighlightingSelectorBQAdapter, OLAPExceptionHighlightingChartSelectorBQAdapter, OLAPExceptionHighlightingSelectorBQAdapter

    @SASScope(value="ALL")
    public interface ExceptionHighlightingSelectorInterface

extends SelectorCommitInterface, SelectorProcessInterface

Defines methods and properties required for an adapter implementation of the exception highlighting selector.

Since:
  3.1.4

Field Summary
`static java.lang.String` | `AUTOMATIC`
`static java.lang.String` | `CONDITION_BETWEEN`
`static java.lang.String` | `CONDITION_EQUAL`
`static java.lang.String` | `CONDITION_GREATER_THAN`
`static java.lang.String` | `CONDITION_GREATER_THAN_OR_EQUAL`
`static java.lang.String` | `CONDITION_LESS_THAN`
`static java.lang.String` | `CONDITION_LESS_THAN_OR_EQUAL`
`static java.lang.String` | `CONDITION_MISSING_VALUE`
`static java.lang.String` | `CONDITION_NOT_EQUAL`

Fields inherited from interface com.sas.dataselectors.SelectorCommitInterface
`EXCEPTION_OCCURRED`

Method Summary
`abstract void` | `addRule(ExceptionHighlightingRuleInterface rule)` Add a rule
`abstract java.util.List` | `getColors()` Return a Collection of supported colors which can be applied for a rule
`abstract java.lang.String` | `getDefaultFont()`
`abstract java.lang.String` | `getDefaultFontSize()`
`abstract java.util.List` | `getFonts()` Return a List of fonts
`abstract java.util.List` | `getFontSizes()` Return a Collection of font sizes
`abstract java.util.List` | `getImages()` Return a Collection of images to enhance highlighting
`abstract javax.swing.tree.TreeModel` | `getLevelTreeModel()` Returns the tree model to display list of levels(olap)
`abstract java.util.Locale` | `getLocale()`
`abstract java.util.Map` | `getMeasureNames()` Returns the list of the names of the measures
`abstract java.lang.Object` | `getModel()` Return the model that contains the data.
`abstract java.util.Map` | `getResultItemMap()` Returns the list of data items contained in the result item list.
`abstract java.util.List` | `getResultItems()` Returns the list of data items contained in the result item list.
`abstract java.util.Map` | `getRules()` Return a map of rules
`abstract java.util.Map` | `getSupportedConditions()` Return a map of Conditions which can be applied in a rule
`abstract boolean` | `isAddAutomaticToFontInfo()` Return a boolean indicating whether the Automatic option should automatically be added to the font name and font size.
`abstract boolean` | `isCompleteImagePath()` Return a boolean indicating whether the images returned from getImages are complete paths or need to be located
`abstract boolean` | `isOLAP()` Returns true if the data source for this adapter is OLAP based.
`abstract void` | `removeRule(java.lang.String ruleId)` Remove rule
`abstract void` | `setAddAutomaticToFontInfo(boolean automatic)` set a boolean indicating whether the Automatic option should automatically be added to the font name and font size
`abstract void` | `setLocale(java.util.Locale locale)`
`abstract void` | `setModel(java.lang.Object model)` Set the model that contains the data.

Methods inherited from interface com.sas.dataselectors.SelectorProcessInterface
`process`

Methods inherited from interface com.sas.dataselectors.SelectorCommitInterface
`commit, getPropertiesBean`

Field Detail

### CONDITION_MISSING_VALUE

    static final java.lang.String CONDITION_MISSING_VALUE

See Also:
  Constant Field Values

### CONDITION_EQUAL

    static final java.lang.String CONDITION_EQUAL

See Also:
  Constant Field Values

### CONDITION_NOT_EQUAL

    static final java.lang.String CONDITION_NOT_EQUAL

See Also:
  Constant Field Values

### CONDITION_LESS_THAN

    static final java.lang.String CONDITION_LESS_THAN

See Also:
  Constant Field Values

### CONDITION_LESS_THAN_OR_EQUAL

    static final java.lang.String CONDITION_LESS_THAN_OR_EQUAL

See Also:
  Constant Field Values

### CONDITION_GREATER_THAN

    static final java.lang.String CONDITION_GREATER_THAN

See Also:
  Constant Field Values

### CONDITION_GREATER_THAN_OR_EQUAL

    static final java.lang.String CONDITION_GREATER_THAN_OR_EQUAL

See Also:
  Constant Field Values

### CONDITION_BETWEEN

    static final java.lang.String CONDITION_BETWEEN

See Also:
  Constant Field Values

### AUTOMATIC

    static final java.lang.String AUTOMATIC

See Also:
  Constant Field Values

Method Detail

### isOLAP

    boolean isOLAP()

  Returns true if the data source for this adapter is OLAP based.

  Returns:
    TRUE if the data source is OLAP based

### setModel

    void setModel(java.lang.Object model)

  Set the model that contains the data.

  Parameters:
    `model` - the model that contains the data.

### getModel

    java.lang.Object getModel()

  Return the model that contains the data.

### getSupportedConditions

    java.util.Map getSupportedConditions()

  Return a map of Conditions which can be applied in a rule

### getRules

    java.util.Map getRules()

  Return a map of rules

### addRule

    void addRule(ExceptionHighlightingRuleInterface rule)

  Add a rule

### removeRule

    void removeRule(java.lang.String ruleId)

  Remove rule

### getColors

    java.util.List getColors()

  Return a Collection of supported colors which can be applied for a rule

### getFontSizes

    java.util.List getFontSizes()

  Return a Collection of font sizes

### getFonts

    java.util.List getFonts()

  Return a List of fonts

### getDefaultFont

    java.lang.String getDefaultFont()

### getDefaultFontSize

    java.lang.String getDefaultFontSize()

### getLevelTreeModel

    javax.swing.tree.TreeModel getLevelTreeModel()

  Returns the tree model to display list of levels(olap)

  Returns:
    the tree model of the levels.

### getMeasureNames

    java.util.Map getMeasureNames()

  Returns the list of the names of the measures

  Returns:
    the list of the names of the measures. In the Map there's one element for each measure, for each element in the map its key is the measure label and its value is the measure id

### getImages

    java.util.List getImages()

  Return a Collection of images to enhance highlighting

### isCompleteImagePath

    boolean isCompleteImagePath()

  Return a boolean indicating whether the images returned from getImages are complete paths or need to be located

### setAddAutomaticToFontInfo

    void setAddAutomaticToFontInfo(boolean automatic)

  set a boolean indicating whether the Automatic option should automatically be added to the font name and font size

### isAddAutomaticToFontInfo

    boolean isAddAutomaticToFontInfo()

  Return a boolean indicating whether the Automatic option should automatically be added to the font name and font size.

### getLocale

    java.util.Locale getLocale()

### setLocale

    void setLocale(java.util.Locale locale)

### getResultItems

    java.util.List getResultItems()

  Returns the list of data items contained in the result item list.

  Returns:
    a list of DataItem objects

### getResultItemMap

    java.util.Map getResultItemMap()

  Returns the list of data items contained in the result item list.

  Returns:
    a list of DataItem objects

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.